libgphoto2 photo camera library (libgphoto2) API 2.5.2

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- b
- g

### - b -

- BAYER_TILE_BGGR : bayer.h
- BAYER_TILE_BGGR_INTERLACED : bayer.h
- BAYER_TILE_GBRG : bayer.h
- BAYER_TILE_GBRG_INTERLACED : bayer.h
- BAYER_TILE_GRBG : bayer.h
- BAYER_TILE_GRBG_INTERLACED : bayer.h
- BAYER_TILE_RGGB : bayer.h
- BAYER_TILE_RGGB_INTERLACED : bayer.h

### - g -

- GP_CAPTURE_IMAGE : gphoto2-camera.h
- GP_CAPTURE_MOVIE : gphoto2-camera.h
- GP_CAPTURE_SOUND : gphoto2-camera.h
- GP_CONTEXT_FEEDBACK_CANCEL : gphoto2-context.h
- GP_CONTEXT_FEEDBACK_OK : gphoto2-context.h
- GP_DEVICE_AUDIO_PLAYER : gphoto2-abilities-list.h
- GP_DEVICE_STILL_CAMERA : gphoto2-abilities-list.h
- GP_DRIVER_STATUS_DEPRECATED : gphoto2-abilities-list.h
- GP_DRIVER_STATUS_EXPERIMENTAL : gphoto2-abilities-list.h
- GP_DRIVER_STATUS_PRODUCTION : gphoto2-abilities-list.h
- GP_DRIVER_STATUS_TESTING : gphoto2-abilities-list.h
- GP_EVENT_CAPTURE_COMPLETE : gphoto2-camera.h
- GP_EVENT_FILE_ADDED : gphoto2-camera.h
- GP_EVENT_FOLDER_ADDED : gphoto2-camera.h
- GP_EVENT_TIMEOUT : gphoto2-camera.h
- GP_EVENT_UNKNOWN : gphoto2-camera.h
- GP_FILE_ACCESSTYPE_FD : gphoto2-file.h
- GP_FILE_ACCESSTYPE_HANDLER : gphoto2-file.h
- GP_FILE_ACCESSTYPE_MEMORY : gphoto2-file.h
- GP_FILE_INFO_ALL : gphoto2-filesys.h
- GP_FILE_INFO_HEIGHT : gphoto2-filesys.h
- GP_FILE_INFO_MTIME : gphoto2-filesys.h
- GP_FILE_INFO_NONE : gphoto2-filesys.h
- GP_FILE_INFO_PERMISSIONS : gphoto2-filesys.h
- GP_FILE_INFO_SIZE : gphoto2-filesys.h
- GP_FILE_INFO_STATUS : gphoto2-filesys.h
- GP_FILE_INFO_TYPE : gphoto2-filesys.h
- GP_FILE_INFO_WIDTH : gphoto2-filesys.h
- GP_FILE_OPERATION_AUDIO : gphoto2-abilities-list.h
- GP_FILE_OPERATION_DELETE : gphoto2-abilities-list.h
- GP_FILE_OPERATION_EXIF : gphoto2-abilities-list.h
- GP_FILE_OPERATION_NONE : gphoto2-abilities-list.h
- GP_FILE_OPERATION_PREVIEW : gphoto2-abilities-list.h
- GP_FILE_OPERATION_RAW : gphoto2-abilities-list.h
- GP_FILE_PERM_ALL : gphoto2-filesys.h
- GP_FILE_PERM_DELETE : gphoto2-filesys.h
- GP_FILE_PERM_NONE : gphoto2-filesys.h
- GP_FILE_PERM_READ : gphoto2-filesys.h
- GP_FILE_STATUS_DOWNLOADED : gphoto2-filesys.h
- GP_FILE_STATUS_NOT_DOWNLOADED : gphoto2-filesys.h
- GP_FILE_TYPE_AUDIO : gphoto2-file.h
- GP_FILE_TYPE_EXIF : gphoto2-file.h
- GP_FILE_TYPE_METADATA : gphoto2-file.h
- GP_FILE_TYPE_NORMAL : gphoto2-file.h
- GP_FILE_TYPE_PREVIEW : gphoto2-file.h
- GP_FILE_TYPE_RAW : gphoto2-file.h
- GP_FOLDER_OPERATION_DELETE_ALL : gphoto2-abilities-list.h
- GP_FOLDER_OPERATION_MAKE_DIR : gphoto2-abilities-list.h
- GP_FOLDER_OPERATION_NONE : gphoto2-abilities-list.h
- GP_FOLDER_OPERATION_PUT_FILE : gphoto2-abilities-list.h
- GP_FOLDER_OPERATION_REMOVE_DIR : gphoto2-abilities-list.h
- GP_LEVEL_HIGH : gphoto2-port.h
- GP_LEVEL_LOW : gphoto2-port.h
- GP_LOG_DATA : gphoto2-port-log.h
- GP_LOG_DEBUG : gphoto2-port-log.h
- GP_LOG_ERROR : gphoto2-port-log.h
- GP_LOG_VERBOSE : gphoto2-port-log.h
- GP_OPERATION_CAPTURE_AUDIO : gphoto2-abilities-list.h
- GP_OPERATION_CAPTURE_IMAGE : gphoto2-abilities-list.h
- GP_OPERATION_CAPTURE_PREVIEW : gphoto2-abilities-list.h
- GP_OPERATION_CAPTURE_VIDEO : gphoto2-abilities-list.h
- GP_OPERATION_CONFIG : gphoto2-abilities-list.h
- GP_OPERATION_NONE : gphoto2-abilities-list.h
- GP_OPERATION_TRIGGER_CAPTURE : gphoto2-abilities-list.h
- GP_PIN_CD : gphoto2-port.h
- GP_PIN_CTS : gphoto2-port.h
- GP_PIN_DSR : gphoto2-port.h
- GP_PIN_DTR : gphoto2-port.h
- GP_PIN_RING : gphoto2-port.h
- GP_PIN_RTS : gphoto2-port.h
- GP_PORT_DISK : gphoto2-port-info-list.h
- GP_PORT_NONE : gphoto2-port-info-list.h
- GP_PORT_PTPIP : gphoto2-port-info-list.h
- GP_PORT_SERIAL : gphoto2-port-info-list.h
- GP_PORT_SERIAL_PARITY_EVEN : gphoto2-port.h
- GP_PORT_SERIAL_PARITY_ODD : gphoto2-port.h
- GP_PORT_SERIAL_PARITY_OFF : gphoto2-port.h
- GP_PORT_USB : gphoto2-port-info-list.h
- GP_PORT_USB_DISK_DIRECT : gphoto2-port-info-list.h
- GP_PORT_USB_ENDPOINT_IN : gphoto2-port.h
- GP_PORT_USB_ENDPOINT_INT : gphoto2-port.h
- GP_PORT_USB_ENDPOINT_OUT : gphoto2-port.h
- GP_PORT_USB_SCSI : gphoto2-port-info-list.h
- GP_STORAGEINFO_AC_READONLY : gphoto2-filesys.h
- GP_STORAGEINFO_AC_READONLY_WITH_DELETE : gphoto2-filesys.h
- GP_STORAGEINFO_AC_READWRITE : gphoto2-filesys.h
- GP_STORAGEINFO_ACCESS : gphoto2-filesys.h
- GP_STORAGEINFO_BASE : gphoto2-filesys.h
- GP_STORAGEINFO_DESCRIPTION : gphoto2-filesys.h
- GP_STORAGEINFO_FILESYSTEMTYPE : gphoto2-filesys.h
- GP_STORAGEINFO_FREESPACEIMAGES : gphoto2-filesys.h
- GP_STORAGEINFO_FREESPACEKBYTES : gphoto2-filesys.h
- GP_STORAGEINFO_FST_DCF : gphoto2-filesys.h
- GP_STORAGEINFO_FST_GENERICFLAT : gphoto2-filesys.h
- GP_STORAGEINFO_FST_GENERICHIERARCHICAL : gphoto2-filesys.h
- GP_STORAGEINFO_FST_UNDEFINED : gphoto2-filesys.h
- GP_STORAGEINFO_LABEL : gphoto2-filesys.h
- GP_STORAGEINFO_MAXCAPACITY : gphoto2-filesys.h
- GP_STORAGEINFO_ST_FIXED_RAM : gphoto2-filesys.h
- GP_STORAGEINFO_ST_FIXED_ROM : gphoto2-filesys.h
- GP_STORAGEINFO_ST_REMOVABLE_RAM : gphoto2-filesys.h
- GP_STORAGEINFO_ST_REMOVABLE_ROM : gphoto2-filesys.h
- GP_STORAGEINFO_ST_UNKNOWN : gphoto2-filesys.h
- GP_STORAGEINFO_STORAGETYPE : gphoto2-filesys.h
- GP_WIDGET_BUTTON : gphoto2-widget.h
- GP_WIDGET_DATE : gphoto2-widget.h
- GP_WIDGET_MENU : gphoto2-widget.h
- GP_WIDGET_RADIO : gphoto2-widget.h
- GP_WIDGET_RANGE : gphoto2-widget.h
- GP_WIDGET_SECTION : gphoto2-widget.h
- GP_WIDGET_TEXT : gphoto2-widget.h
- GP_WIDGET_TOGGLE : gphoto2-widget.h
- GP_WIDGET_WINDOW : gphoto2-widget.h